> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Discounts

> Retrieves a list of discounts according to any specified filter criteria and sort options. This current version of the Discounts API includes localizedContent to support <a href="/pages/catalog-structure#multi-locale-catalogs">multi-locale catalogs</a>, which was not present in the previous API model. If you were a client prior to May 2024 and have upgraded your implementation to support this feature, you can still access discount data that has not yet been rewritten to the new model by providing an x-api-version header set to "1". 



## OpenAPI

````yaml /openapi/openapi_catalog_admin.json get /commerce/catalog/admin/discounts
openapi: 3.0.1
info:
  description: |-
    <div id="overview_CATALOG_ADMIN">
                <h2>CATALOG ADMINISTRATION</h2>
                <p>The Catalog Administration APIs are a collection of resources for configuring the catalogs and products offered to your shoppers, including
                    discounts and coupon sets, faceting, price lists, and different types or variations of products. See the
                    <a href="/concept-guides/catalog">Catalog user guides</a>
                    for information about the related features in the Unified Commerce Admin.</p>
                <p>Use the <strong>Attributes</strong> resource to manage localization and attribute configurations for your catalogs. This current version of the Attributes API includes localizedContent to
                    support <a href="/pages/catalog-structure#multi-locale-catalogs">multi-locale catalogs</a>, which was not present in the legacy API model. If
                    you were a client prior to May 2024 and have upgraded your implementation to support this feature,
                    you can still access attribute data that has not yet been rewritten to the new model by providing
                    an x-api-version header set to "1". </p>
                <p>Use the <strong>Categories</strong> resource to organize products and control where they appear on the storefront. Create
                    and maintain a hierarchy of categories and subcategories where the site will store properties. This current version of the Categories API includes localizedContent to
                    support <a href="/pages/catalog-structure#multi-locale-catalogs">multi-locale catalogs</a>, which was not present in the legacy API model. If
                    you were a client prior to May 2024 and have upgraded your implementation to support this feature,
                    you can still access category data that has not yet been rewritten to the new model by providing
                    an x-api-version header set to "1". </p>
                <p>Use the <strong>Coupon Sets</strong> resource to view and create coupon sets. You can use coupon sets to group multiple
                    coupon codes together and associate them with one or more discounts.</p>
                <p>Use the <strong>Currency</strong> resource to manage the currency localization rules and exchange rates for any of the
                    currencies that are supported for placing orders in.</p>
                <p>Use the <strong>Discounts</strong> and <strong>Discount Settings</strong> resources to define and manage discounts to apply to products, product categories, or
                    orders. This current version of the Discounts API includes localizedContent to
                    support <a href="/pages/catalog-structure#multi-locale-catalogs">multi-locale catalogs</a>, which was not present in the legacy Products API model. If
                    you were a client prior to May 2024 and have upgraded your implementation to support this feature,
                    you can still access discount data that has not yet been rewritten to the new model by providing
                    an x-api-version header set to "1". </p>
                <p>Use the <strong>Facets</strong> resource to manage the facets shoppers use to filter product display results on a
                    storefront. Facets can include categories, product attributes, or prices, and use either a range of
                    values or discrete values.</p>
                <p>Use the <strong>Master Catalog</strong> resource to view details of the master catalogs associated with a tenant and to
                    manage the product publishing mode for each master catalog.</p>
                <p>Use the <strong>Price Lists</strong> resources to view and create price lists. You can use price lists to override the
                    catalog pricing of products for specific customer segments and/or sites.</p>
                <p>Use the <strong>Products</strong>, <strong>Product Types/Extras/Options/Properties</strong>, and <strong>Product Sort Definitions</strong> resources to create new product definitions in the master catalog and determine which
                    catalogs will feature products. This current version of the Products API includes localizedContent to
                    support <a href="/pages/catalog-structure#multi-locale-catalogs">multi-locale catalogs</a>, which was not present in the legacy Products API model. If
                    you were a client prior to May 2024 and have upgraded your implementation to support this feature,
                    you can still access product data that has not yet been rewritten to the new model by providing
                    an x-api-version header set to "1".</p>
                <p>Use the <strong>Publishing</strong> resource to publish pending product updates together as part of a set.</p>
                <p>Use the <strong>Search</strong> resource to manage all settings and options for providing product search on your site, as
                    well as search tuning rules.</p>
            </div>
  title: Catalog Admin
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/catalog/admin/discounts:
    get:
      tags:
        - Discounts
      summary: Get Discounts
      description: >-
        Retrieves a list of discounts according to any specified filter criteria
        and sort options. This current version of the Discounts API includes
        localizedContent to support <a
        href="/pages/catalog-structure#multi-locale-catalogs">multi-locale
        catalogs</a>, which was not present in the previous API model. If you
        were a client prior to May 2024 and have upgraded your implementation to
        support this feature, you can still access discount data that has not
        yet been rewritten to the new model by providing an x-api-version header
        set to "1". 
      parameters:
        - description: >-
            Used to page results from a query. Indicates the zero-based offset
            in the complete result set where the returned entities begin. For
            example, with a PageSize of 25, to get the 51st through the 75th
            items, startIndex=3. The default value is 0. Optional.
          in: query
          name: startIndex
          schema:
            default: 0
            format: int32
            type: integer
        - description: >-
            Used to page results from a query. Indicates the maximum number of
            entities to return from a query. The default value is 20 and the
            maximum value is 200. Optional.
          in: query
          name: pageSize
          schema:
            default: 0
            format: int32
            type: integer
        - description: >-
            The element to sort the results by and the order in which the
            results appear. Either ascending (a-z) or descending (z-a) order.
            Optional.
          in: query
          name: sortBy
          schema:
            type: string
        - description: >-
            A set of filter expressions representing the search parameters for a
            query: eq=equals, ne=not equals, gt=greater than, lt = less than or
            equals, gt = greater than or equals, lt = less than or equals, sw =
            starts with, or cont = contains. Optional.
          in: query
          name: filter
          schema:
            type: string
        - description: ''
          in: query
          name: responseGroups
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CatalogAdminsDiscountCollection'
            text/json:
              schema:
                $ref: '#/components/schemas/CatalogAdminsDiscountCollection'
            text/plain:
              schema:
                $ref: '#/components/schemas/CatalogAdminsDiscountCollection'
          description: OK
components:
  schemas:
    CatalogAdminsDiscountCollection:
      description: Collection of discounts returned as a whole. A collection is not paged.
      properties:
        items:
          items:
            $ref: '#/components/schemas/CatalogAdminsDiscount'
          nullable: true
          type: array
        pageCount:
          format: int32
          type: integer
        pageSize:
          format: int32
          type: integer
        startIndex:
          format: int32
          type: integer
        totalCount:
          format: int32
          type: integer
      type: object
    CatalogAdminsDiscount:
      description: "Allows you to define and manage discounts to apply to your products, product categories, or orders. The discounts can be a specified monetary amount off the price, percentage off the price, or for free shipping.\r\nYou can create a coupon code that applies to the discount."
      properties:
        amount:
          description: "    Amount of the discount, as a percentage or monetary amount, for example 15% or $15.\r\nMust be either null or greater than zero."
          format: double
          nullable: true
          type: number
        amountType:
          description: "Type of discount, which can be either a percentage off the price, \r\na specific monetary amount, or free. \r\nPossible values: \r\n\tPercentage \r\n\tAmount \r\n\tFree\r\n\tFixedPrice"
          minLength: 1
          type: string
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        canBeDeleted:
          description: >-
            Signifies that the discount is not referenced and can be hard
            deleted
          type: boolean
        canBeStackedUpon:
          description: Indicates whether or not stacking is enabled for this discount
          nullable: true
          type: boolean
        code:
          description: >-
            Indicates unique code for the discount, if not present Discount Id
            is used as a code.
          nullable: true
          type: string
        conditions:
          $ref: '#/components/schemas/CatalogAdminsDiscountCondition'
        content:
          $ref: '#/components/schemas/DiscountLocalizedContent'
        currentRedemptionCount:
          description: >-
            How many times this discount has been redeemed. System-supplied and
            read-only.
          format: int32
          nullable: true
          type: integer
        doesNotApplyToMultiShipToOrders:
          description: "Flag to allow or prevent application to multi-ship-to orders,\r\nOnly applicable to shipping discounts."
          nullable: true
          type: boolean
        doesNotApplyToProductsWithSalePrice:
          description: "Determines whether or not a discount applies to a items with a sale price.  Applicable \r\non order and line item discounts.  For line items, when this is true, the discount will \r\nbe disqualified.  For order level discounts, when true, the discount will not be applied \r\nto those items have a sale price."
          nullable: true
          type: boolean
        doesNotApplyToSalePrice:
          description: "Determines if the discount should apply to sale price or regular price only.\r\nDiscounts will apply to sale prices by default.\r\nOnly applies to LineItem product discounts."
          nullable: true
          type: boolean
        hasPurchaseConditions:
          description: "Indicates if this discount has purchase conditions that must be met before \r\nthe discount is applied"
          type: boolean
        id:
          description: Unique identifier of the discount. System-supplied and read-only.
          format: int32
          nullable: true
          type: integer
        includedPriceLists:
          description: "Products receiving a price from a price list specified here or a child of a specified \r\nprice list can be discounted."
          items:
            type: string
          nullable: true
          type: array
        isBxGx:
          description: "Readonly property indicating that the condition required purchase is the \r\nsame as the target items.  Used in BxGx and BoGo type discounts."
          nullable: true
          type: boolean
        isDisabled:
          description: Signifies if the discount is disabled (Null is treated as false)
          nullable: true
          type: boolean
        isPublic:
          description: Determines whether the discount is available for every shopper.
          nullable: true
          type: boolean
        isSubscriptionDiscount:
          description: >-
            Determines how discounts will be evaluated for subscription items
            and during continuity orders.
          nullable: true
          type: boolean
        labels:
          description: Indicates unique discount labels.
          items:
            type: string
          nullable: true
          type: array
        localizedContent:
          description: "Container for the language-specific name of the discount. You will have a container for each supported language (LocaleCode).\r\nThis enables you to display the discount name in multiple languages yet manage it as a single discount internally."
          items:
            $ref: '#/components/schemas/DiscountLocalizedContent'
          nullable: true
          type: array
        maximumDiscountImpactPerOrder:
          description: "Maximum impact this discount can apply on a single order.\r\n Must be either null or greater than zero."
          format: double
          nullable: true
          type: number
        maximumDiscountImpactPerRedemption:
          description: "Maximum impact this discount can apply on a single line item.\r\n Must be either null or greater than zero."
          format: double
          nullable: true
          type: number
        maximumRedemptionsPerOrder:
          description: "Maximum number of redemptions allowed per order.\r\nIf null, defaults to unlimited."
          format: int32
          nullable: true
          type: integer
        maximumUsesPerUser:
          description: "Maximum number of times a user can redeem this discount.\r\n Must be either null or greater than zero."
          format: int32
          nullable: true
          type: integer
        preventLineItemShippingDiscounts:
          description: "Prevents Line Item Shipping discounts from being applied when a Line Item Product  \r\ndiscount has been applied"
          nullable: true
          type: boolean
        preventOrderProductDiscounts:
          description: "Prevents Order Product discounts from being applied when a Line Item Product  \r\nor Shipping discount has been applied"
          nullable: true
          type: boolean
        preventOrderShippingDiscounts:
          description: "Prevents Order Shipping discounts from being applied when a Line Item Product/Shipping  \r\nor Order Product discount has been applied"
          nullable: true
          type: boolean
        purchaseRequirementType:
          description: "The type of purchase requirement for this discount, either purchase conditions and targets which   \r\nSupports BoGo, and BxGx scenarios. Or Target only that only have a target and no purchase conditions"
          nullable: true
          type: string
        reevalFreeItemMinOrderPostDiscounts:
          description: "Enables post-order-discount minimum re-evaluation for eligible free-item discounts.\r\nValues null and false are treated as disabled."
          nullable: true
          type: boolean
        scope:
          description: >-
            Scope to which the discount applies, valid values are: Order,
            LineItem
          minLength: 1
          type: string
        stackingLayer:
          description: Indicates which stacking layer this discount is a part of
          format: int32
          nullable: true
          type: integer
        status:
          description: >-
            Discount status which can be "Active," "Scheduled," or "Expired."
            System-supplied and read-only.
          nullable: true
          type: string
        tagCodes:
          description: System-supplied and read-only.
          items:
            type: string
          nullable: true
          type: array
        target:
          $ref: '#/components/schemas/CatalogAdminsDiscountTarget'
        thresholdMessage:
          $ref: '#/components/schemas/CatalogAdminsThresholdMessage'
      required:
        - amountType
        - scope
        - target
      type: object
    AdminUserAuditInfo:
      properties:
        createBy:
          nullable: true
          type: string
        createDate:
          format: date-time
          nullable: true
          type: string
        updateBy:
          nullable: true
          type: string
        updateDate:
          format: date-time
          nullable: true
          type: string
      type: object
    CatalogAdminsDiscountCondition:
      description: "Specifies constraints that must be satified for a discount to be applied to a target.\r\nConstraints are Anded together"
      properties:
        categoriesToExcludeFromMinOrderTotal:
          description: >-
            List of categories to discount. When a discount applies to a
            category, all products in the category are discounted.
          items:
            $ref: '#/components/schemas/CategoryDiscountCondition'
          nullable: true
          type: array
        continuityRecurrenceSettings:
          $ref: '#/components/schemas/ContinuityRecurrenceSettings'
        couponCode:
          description: >-
            Code of the coupon associated with the discount (if a coupon code is
            required). The merchant can supply the code or the system can
            generate it.
          nullable: true
          type: string
        customerSegments:
          description: List of customer groups for which the discount applies
          items:
            $ref: '#/components/schemas/PricingRuntimeCustomerSegment'
          nullable: true
          type: array
        excludedCategories:
          description: >-
            List of categories to discount. When a discount applies to a
            category, all products in the category are discounted.
          items:
            $ref: '#/components/schemas/CategoryDiscountCondition'
          nullable: true
          type: array
        excludedProducts:
          description: List of products that are eligible for the discount.
          items:
            $ref: '#/components/schemas/ProductDiscountCondition'
          nullable: true
          type: array
        exclusiveLocationCodes:
          description: >-
            List of locations where the item/order should be fulfilled for the
            discount to be valid.
          items:
            type: string
          nullable: true
          type: array
        exclusiveSiteIds:
          description: "The discount condition for site Ids, if present the discount will be applied only to these sites.\r\nIf not present discount will work for all sites in a catalog."
          items:
            format: int32
            type: integer
          nullable: true
          type: array
        expirationDate:
          description: >-
            Date when the discount expires. Default is null (no expiration
            date).
          format: date-time
          nullable: true
          type: string
        expression:
          $ref: '#/components/schemas/CatalogAdminsCustomerDynamicExpression'
        includedCategories:
          description: >-
            List of categories that must be purchased in order for the discount
            to be valid.
          items:
            $ref: '#/components/schemas/CategoryDiscountCondition'
          nullable: true
          type: array
        includedPaymentWorkflows:
          description: List of payment types that trigger this discount to be valid.
          items:
            type: string
          nullable: true
          type: array
        includedProducts:
          description: List of products that are eligible for the discount.
          items:
            $ref: '#/components/schemas/ProductDiscountCondition'
          nullable: true
          type: array
        maxRedemptionCount:
          description: >-
            Maximum number of times that the discount can be redeemed. Default
            is null (no limit to discount redemptions).
          format: int32
          nullable: true
          type: integer
        maximumOrderAmount:
          description: "Only applies to order.\r\nMaximum order subtotal after discounts in order for the associated discount to be applied"
          format: double
          nullable: true
          type: number
        minDistinctProductsRequired:
          description: "The minimum number of distinct products on the order\r\nNot a quantity calculation."
          format: int32
          nullable: true
          type: integer
        minTotalOrderQuantity:
          description: "The order must contain at least this total quantity of items for the discount to apply.\r\nYou must buy a combined quantity of at least x amount."
          format: int32
          nullable: true
          type: integer
        minimumCategorySubtotalBeforeDiscounts:
          description: "Minimum amount that must be purchased in the combined categories defined in \r\nIncludedCategories.  Amount is calculated before discounting.\r\nNot used if IncludedCategories is empty."
          format: double
          nullable: true
          type: number
        minimumLifetimeValueAmount:
          description: Minimum lifetime value amount required for this discount to apply
          format: double
          nullable: true
          type: number
        minimumOrderAmount:
          description: "Only applies to order.\r\nMinimum order subtotal after discounts in order for the associated discount to be applied"
          format: double
          nullable: true
          type: number
        minimumQuantityProductsRequiredInCategories:
          description: "Minimum quantity of products in the categories specified in IncludedCategories that must be purchased to\r\nqualify for the associated discount.\r\nDefaults to 1 if  null and IncludedCategories has values"
          format: int32
          nullable: true
          type: integer
        minimumQuantityRequiredProducts:
          description: "Minimum quantity of products in the specified IncludedProducts that must be purchased to\r\nqualify for the associated discount.\r\nDefaults to 1 if  null and IncludedProducts has values."
          format: int32
          nullable: true
          type: integer
        minimumRequiredQuantityPerRedemption:
          description: >-
            Defines a minimum quantity that is required for a target only
            discount
          format: int32
          nullable: true
          type: integer
        pricingContext:
          description: "The pricing context must match on this value for the discount to apply.\r\nThis only matters for tenants that use subscription products"
          nullable: true
          type: string
        productsToExcludeFromMinOrderTotal:
          description: List of products that are eligible for the discount.
          items:
            $ref: '#/components/schemas/ProductDiscountCondition'
          nullable: true
          type: array
        requiresAuthenticatedUser:
          description: "Determines is this discount can be used by an anonymous user \r\nDefaults to false to allow discounts for anonymous users."
          type: boolean
        requiresCoupon:
          description: >-
            If true, the shopper needs to enter a coupon code to redeem the
            discount.
          type: boolean
        startDate:
          description: >-
            Date when the discount can goes into effect, in the format
            yyyy-mm-dd.
          format: date-time
          nullable: true
          type: string
        validFulfillmentMethods:
          description: "The discount condition for fulfillment methods, if present the discount will be applied only to these fulfillment methods.\r\nThis must be a value defined in FulfillmentMethodConst below."
          items:
            type: string
          nullable: true
          type: array
        validSubscriptionContinuityOrdinals:
          description: Ordinals at which a continuity order should receive the discount.
          items:
            format: int32
            type: integer
          nullable: true
          type: array
        validSubscriptionFrequencies:
          description: List of subscription frequencies to which the discount will apply.
          items:
            type: string
          nullable: true
          type: array
      type: object
    DiscountLocalizedContent:
      description: "Container for the language-specific name of the discount. You will have a container for each supported language\r\n(LocaleCode).\r\nThis enables you to display the discount name in multiple languages yet manage it as a single discount internally."
      properties:
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        customPropertyValues:
          $ref: '#/components/schemas/CustomPropertyValues'
        friendlyDescription:
          description: >-
            Promotional text or HTML that can be utilized as friendly content
            like "Buy this product now and get X!"
          nullable: true
          type: string
        localeCode:
          description: >-
            Lanugage used for the discount in the current catalog. Defaults
            setting for the active catalog.
          maxLength: 8
          minLength: 0
          nullable: true
          type: string
        name:
          description: Name of the discount.
          maxLength: 200
          minLength: 0
          type: string
      required:
        - name
      type: object
    CatalogAdminsDiscountTarget:
      description: "What to discount. Specifies the type of discount (percentage off, monetary amount, or free shipping) and which products, categories, or shipping methods are eligible for the discount.\r\nCan also specify the minimum amount that the order must total for the discount to apply."
      properties:
        appliesToLeastExpensiveProductsFirst:
          description: "Determines which way the discount is optimized.  Consumers favor(default - false/null) or tenants favor (when this is set to true)\r\nApplies to discounts where target is not a specific product or list of products.  \r\nMay also impact behavior of Buy X Get Y so that X is the most expensive items and Y the least expensive."
          nullable: true
          type: boolean
        categories:
          description: >-
            List of categories to discount. When a discount applies to a
            category, all products in the category are discounted.
          items:
            $ref: '#/components/schemas/CatalogAdminsTargetedCategory'
          nullable: true
          type: array
        doNotApplyToHandlingFees:
          description: Prevents the discount from being applied to handling fees
          nullable: true
          type: boolean
        excludeItemsWithExistingProductDiscounts:
          description: "Prevents order scoped discounts from layering over items that already have a product discount with the \r\nsame type."
          nullable: true
          type: boolean
        excludeItemsWithExistingShippingDiscounts:
          description: "Prevents order scoped discounts from layering over items that already have a shipping discount with the \r\nsame type."
          nullable: true
          type: boolean
        excludedCategories:
          description: >-
            List of categories to exclude from the discount. Useful to exclude
            specific child categories.
          items:
            $ref: '#/components/schemas/CatalogAdminsTargetedCategory'
          nullable: true
          type: array
        excludedCategoriesOperator:
          description: "Applies to Included categories\r\nDefaults to Any"
          nullable: true
          type: string
        excludedProducts:
          description: List of products that are excluded from the discount.
          items:
            $ref: '#/components/schemas/TargetedProduct'
          nullable: true
          type: array
        includeAllProducts:
          description: If yes, the discount applies to all products sold on the storefront.
          nullable: true
          type: boolean
        includedCategoriesOperator:
          description: "Applies to Included categories\r\nWhen Any, the target product can belong to any specified category.\r\nWhen All, the target product must belong to all specified categories.\r\nDefaults to Any"
          nullable: true
          type: string
        maximumQuantityPerRedemption:
          description: "When a condition is specified, this property limits the number of items that can be targeted per discount redemption with an order.\r\nif multiple redemptions are allowed per order then multiples of this value would be allowed in multiples of the associated \r\ncondition.\r\nIf no condition is specified then this value is not used.  \r\nIf null and condition exists, then defaults to 1."
          format: int32
          nullable: true
          type: integer
        products:
          description: List of products that are eligible for the discount.
          items:
            $ref: '#/components/schemas/TargetedProduct'
          nullable: true
          type: array
        shippingMethods:
          description: >-
            Shipping method that is eligible for shipping discounts. This is a
            shipping method defined in Shipping Settings.
          items:
            $ref: '#/components/schemas/CatalogAdminsTargetedShippingMethod'
          nullable: true
          type: array
        shippingZones:
          description: Shipping Zones that are applicable for this discount
          items:
            $ref: '#/components/schemas/CatalogAdminsTargetedShippingZone'
          nullable: true
          type: array
        type:
          description: "    Type of target to which the discount applies. Possible values: <pre>Product</pre> or <pre>Shipping</pre>. \r\nIf this is a <pre>Product</pre> type, you can specify which products or categories that the discount applies to.\r\n    If this is a <pre>Shipping</pre> type then you must specify which shipping methods apply."
          minLength: 1
          type: string
      required:
        - type
      type: object
    CatalogAdminsThresholdMessage:
      properties:
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        content:
          $ref: '#/components/schemas/ThresholdMessageLocalizedContent'
        discountId:
          description: Unique identifier of the discount. System-supplied and read-only.
          format: int32
          type: integer
        isActive:
          description: Indicates if threshold messages are active for this discount
          type: boolean
        localizedContent:
          description: "Container for the language-specific name of the threshold message. You will have a container for each supported language (LocaleCode).\r\nThis enables you to display the message in multiple languages yet manage it as a single message internally."
          items:
            $ref: '#/components/schemas/ThresholdMessageLocalizedContent'
          nullable: true
          type: array
        requiresCouponCode:
          description: >-
            Indicates if the threshold message will display when a promo code is
            evaluated
          type: boolean
        showInCart:
          description: Indicates if the threshold message will display in the cart
          type: boolean
        showOnCheckout:
          description: Indicates if the threshold message will display on the checkout page
          type: boolean
        thresholdValue:
          description: >-
            The cart total amount that must be met before the threshold message
            is displayed
          format: double
          type: number
      required:
        - discountId
        - thresholdValue
      type: object
    CategoryDiscountCondition:
      description: Represents a product category and quantity constraint
      properties:
        categoryId:
          description: >-
            Unique identifier of the category to which the discount condition
            applies.
          format: int32
          type: integer
      type: object
    ContinuityRecurrenceSettings:
      properties:
        interval:
          description: Interval until next discount applies
          format: int32
          nullable: true
          type: integer
        startOrdinal:
          description: Continuity ordinal to start discounting
          format: int32
          nullable: true
          type: integer
        stopOrdinal:
          description: Continuity ordinal to stop discounting
          format: int32
          nullable: true
          type: integer
      type: object
    PricingRuntimeCustomerSegment:
      description: Represents a customer segment
      properties:
        id:
          description: "The Customer segment Id.\r\nThis is the  system Id not the code."
          format: int32
          type: integer
      type: object
    ProductDiscountCondition:
      description: Represents a product and quantity constraint
      properties:
        productCode:
          description: Product code of the product to discount.
          nullable: true
          type: string
      type: object
    CatalogAdminsCustomerDynamicExpression:
      description: Category
      properties:
        text:
          nullable: true
          type: string
        tree:
          $ref: '#/components/schemas/CatalogAdminsExpression'
      type: object
    CustomPropertyValues:
      properties:
        value1:
          nullable: true
          type: string
        value10:
          nullable: true
          type: string
        value2:
          nullable: true
          type: string
        value3:
          nullable: true
          type: string
        value4:
          nullable: true
          type: string
        value5:
          nullable: true
          type: string
        value6:
          nullable: true
          type: string
        value7:
          nullable: true
          type: string
        value8:
          nullable: true
          type: string
        value9:
          nullable: true
          type: string
      type: object
    CatalogAdminsTargetedCategory:
      description: >-
        Category to discount. When a discount applies to a category, all
        products in the category are discounted.
      properties:
        id:
          description: Unique identifier of the category to which the discount applies.
          format: int32
          nullable: true
          type: integer
      type: object
    TargetedProduct:
      description: Product to discount.
      properties:
        productCode:
          description: Product code of the product to discount.
          nullable: true
          type: string
      type: object
    CatalogAdminsTargetedShippingMethod:
      description: "Shipping method that is eligible for free shipping. This is the shipping method that is defined with the Shipping\r\nSettings resource."
      properties:
        code:
          description: "Unique identifier of the shipping method as it appears in the SiteShippingMethod property of the Shipping Settings\r\nresource."
          maxLength: 100
          minLength: 0
          type: string
        name:
          description: >-
            Name of the shipping method as it appears in
            SiteShippingMethodLocalizedContent of the Shipping Settings
            resource.
          nullable: true
          type: string
      required:
        - code
      type: object
    CatalogAdminsTargetedShippingZone:
      description: "Shipping method that is eligible for free shipping. This is the shipping method that is defined with the Shipping\r\nSettings resource."
      properties:
        zone:
          description: "Indicates the shipping zone that this discount is valid for.  If zone is provided the\r\nmethod selected must be valid for the zone and both populated in the order for the discount\r\nto be valid."
          maxLength: 200
          minLength: 0
          type: string
      required:
        - zone
      type: object
    ThresholdMessageLocalizedContent:
      properties:
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        localeCode:
          description: >-
            Language used for the discount in the current catalog. Defaults
            setting for the active catalog.
          maxLength: 8
          minLength: 0
          nullable: true
          type: string
        messageTemplate:
          description: Locale-based contents of the Threshold Message.
          type: string
      required:
        - messageTemplate
      type: object
    CatalogAdminsExpression:
      properties:
        left:
          description: The field target of a predicate
          nullable: true
          type: string
        logicalOperator:
          description: And or Or (if Container with More than one Node)
          nullable: true
          type: string
        nodes:
          items:
            $ref: '#/components/schemas/CatalogAdminsExpression'
          nullable: true
          type: array
        operator:
          description: The operator of a predicate
          nullable: true
          type: string
        right:
          description: The literal values of a predicate
          nullable: true
        type:
          description: Container or Predicate
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````